Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.tool
Class CodeGenUtil

    java.lang.Object
      org.apache.xmlbeans.impl.tool.CodeGenUtil

    public class CodeGenUtil

extends java.lang.Object

Field Summary
`static java.lang.String` | `DEFAULT_COMPILER`
`static java.lang.String` | `DEFAULT_JAR`
`static java.lang.String` | `DEFAULT_MEM_MAX`
`static java.lang.String` | `DEFAULT_MEM_START`

Constructor Summary
`CodeGenUtil()`

Method Summary
`static boolean` | `externalCompile(java.util.List srcFiles, java.io.File outdir, java.io.File[] cp, boolean debug)` Deprecated.
`static boolean` | `externalCompile(java.util.List srcFiles, java.io.File outdir, java.io.File[] cp, boolean debug, java.lang.String javacPath, java.lang.String memStart, java.lang.String memMax, boolean quiet, boolean verbose)`
`static boolean` | `externalCompile(java.util.List srcFiles, java.io.File outdir, java.io.File[] cp, boolean debug, java.lang.String javacPath, java.lang.String genver, java.lang.String memStart, java.lang.String memMax, boolean quiet, boolean verbose)` Invokes javac on the generated source files in order to turn them into binary files in the output directory.
`static boolean` | `externalJar(java.io.File srcdir, java.io.File outfile)` Deprecated. Use org.apache.xmlbeans.impl.common.JarHelper instead.
`static boolean` | `externalJar(java.io.File srcdir, java.io.File outfile, java.lang.String jarPath, boolean quiet, boolean verbose)` Deprecated. Use org.apache.xmlbeans.impl.common.JarHelper instead.
`static java.net.URI` | `resolve(java.net.URI base, java.net.URI child)`
`static java.io.File[]` | `systemClasspath()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_MEM_START

    public static java.lang.String DEFAULT_MEM_START

### DEFAULT_MEM_MAX

    public static java.lang.String DEFAULT_MEM_MAX

### DEFAULT_COMPILER

    public static java.lang.String DEFAULT_COMPILER

### DEFAULT_JAR

    public static java.lang.String DEFAULT_JAR

Constructor Detail

### CodeGenUtil

    public CodeGenUtil()

Method Detail

### resolve

    public static java.net.URI resolve(java.net.URI base,
                                       java.net.URI child)

### externalCompile

    public static boolean externalCompile(java.util.List srcFiles,
                                          java.io.File outdir,
                                          java.io.File[] cp,
                                          boolean debug)

  Deprecated.

  Invokes javac on the generated source files in order to turn them into binary files in the output directory. This will return a list of `GenFile`s for all of the classes produced or null if an error occurred.

### externalCompile

    public static boolean externalCompile(java.util.List srcFiles,
                                          java.io.File outdir,
                                          java.io.File[] cp,
                                          boolean debug,
                                          java.lang.String javacPath,
                                          java.lang.String memStart,
                                          java.lang.String memMax,
                                          boolean quiet,
                                          boolean verbose)

### externalCompile

    public static boolean externalCompile(java.util.List srcFiles,
                                          java.io.File outdir,
                                          java.io.File[] cp,
                                          boolean debug,
                                          java.lang.String javacPath,
                                          java.lang.String genver,
                                          java.lang.String memStart,
                                          java.lang.String memMax,
                                          boolean quiet,
                                          boolean verbose)

  Invokes javac on the generated source files in order to turn them into binary files in the output directory. This will return a list of `GenFile`s for all of the classes produced or null if an error occurred.

### systemClasspath

    public static java.io.File[] systemClasspath()

### externalJar

    public static boolean externalJar(java.io.File srcdir,
                                      java.io.File outfile)

  Deprecated. Use org.apache.xmlbeans.impl.common.JarHelper instead.

### externalJar

    public static boolean externalJar(java.io.File srcdir,
                                      java.io.File outfile,
                                      java.lang.String jarPath,
                                      boolean quiet,
                                      boolean verbose)

  Deprecated. Use org.apache.xmlbeans.impl.common.JarHelper instead.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD